% La fonction "annale06_q1" répond à la première question de l'exercice #6
% de l'annale 2012. Elle renvoie un estimateur pour D accompagné de sa
% marge d'erreur à 2 sigmas, en prenant en entrée le nombre "N" de
% simulations demandées. Ce genre de code étant maintenant classique pour
% vous, je n'ai commenté que les points spécifiques à ce programme-ci.
function annale06_q1(N)
% Le 2-vecteur "T" désigne les coordonnées du point T.
T = [1,0];
S = 0;
S2 = 0;
for i = 1:N
    % Le 2-vecteur "X" contient les coordonnées du point simulé X.
    X = randn(1,2);
    % Dans la ligne qui suit, "sqrt(sum((T-X).^2))" aurait pu être écrit
    % plus directement "norm(T-X)".
    distance = sqrt(sum((T-X).^2));
    S = S + distance;
    S2 = S2 + distance * distance;
end
% "D" est l'estimateur de D.
D = S / N;
sigma = sqrt(S2 / N - D * D);
erreur = 2 * sigma / sqrt(N);
disp(['Distance moyenne : ',num2str(D),' ± ',num2str(erreur)]);
return
end